<?php

/* MAINTAINANCE: This file is maintained in Metafox project and distributed
   across the particular projects accordingly. */

if (@file_exists('inc/auth.inc.php') && @include_once 'inc/auth.inc.php');
else exit;

require_once 'db-core/db-core.inc.php';

/*
 * ezin_admin_sessions_main()
 */

function ezin_admin_sessions_main($restricted = 0) /* {{{ */
{
	global $ezin_cfg;
	global $ezin_sys;
	global $ezin_db_handle;

	$refresh_up   = Platon::get_cgi_var('refresh_up');
	$refresh_down = Platon::get_cgi_var('refresh_down');

	if (isset($refresh_up)) {
		$limit = Platon::get_cgi_var('limit_up');
	} elseif (isset($refresh_down)) {
		$limit = Platon::get_cgi_var('limit_down');
	}

	if (! isset($limit)) {
		$limit = 15;
	} else {
		$limit = intval($limit);
	}

	echo '<form class="pme-form" method="post">',"\n";

	if (stristr($ezin_cfg['admin_buttons_pos'], 'U')) {
		ezin_admin_sessions_limit_field($limit, 'up');
		echo '<hr class="pme-hr">',"\n";
	}

	/*
	 * Database query for getting sessions
	 */
	$query = 'SELECT'
		.' id, session_id, username,' . ($restricted ? '' : ' password,')
		.' login, logout, status, ip, user_agent'
		.' FROM ' . $ezin_sys['db']['tables']['sessions']
		.' ORDER BY logout DESC, login DESC';

	if (intval($limit) > 0)
		$query .= ' LIMIT ' . intval($limit);

	//echo "$query<hr>";

	$result = @mysql_query($query, $ezin_db_handle);
	if ($result == false) {
		ezin_db_error('ezin_admin_sessions_main()');
		return false;
	}

	echo '<table class="pme-main">',"\n";

	if (mysql_num_rows($result) == 0) {
		echo '<tr><td>No sessions in database.</td></tr>';
	}

	$count   = 0;
	$tr_data = array('<tr class="pme-row-0">', '<tr class="pme-row-1">');

	while (($row = mysql_fetch_array($result, MYSQL_ASSOC)) != false) {

		$user_agent = $row['user_agent'];
		unset($row['user_agent']);

		if ($count == 0) {
			echo '<tr class="pme-header">',"\n";
			foreach (array_keys($row) as $key) {
				$key = str_replace('_', ' ', $key);
				$key = str_replace('id', 'ID', $key);
				$key = str_replace('ip', 'IP', $key);
				$key = ucfirst($key);
				$key = htmlspecialchars($key);
				echo '<th class="pme-header">',$key,'</th>',"\n";
			}
			echo '</tr>',"\n";
		}

		echo $tr_data[$count & 1],"\n";
		$td_data = sprintf('class="pme-cell-%d"', $count & 1);

		$i = 0;
		foreach ($row as $key => $value) {
			$td_props = $td_data;
			if ($i == 0) {
				$td_props .= ' rowspan="2" valign="middle" align="center"';
			}

			if ($key == 'ip') {
				$out_data = "<a target=\"_blank\" href=\"http://$value/\">$value</a>";
			} elseif ($key == 'session_id' && $row['status'] == 'online') {
				$out_data = '<b>PROTECTED</b>';
			} else {
				$out_data = htmlspecialchars($value);
			}

			strlen($out_data) <= 0 && $out_data = '&nbsp;';
			echo "<td $td_props><small>$out_data</small></td>\n";
			$i++;
		}

		echo "</tr>\n";
		echo $tr_data[$count & 1], "\n";
		echo '<td ',$td_data,' colspan="',$i,'"><small>',$user_agent,'</small></td>';
		echo "</tr>\n";

		$count++;
	}
	echo '</table>',"\n";
	
	@mysql_free_result($result);

	if (stristr($ezin_cfg['admin_buttons_pos'], 'D')
			|| ! stristr($ezin_cfg['admin_buttons_pos'], 'U')) {
		echo '<hr class="pme-hr">',"\n";
		ezin_admin_sessions_limit_field($limit, 'down');
	}
	echo '</form>',"\n";

	return true;
} /* }}} */

function ezin_admin_sessions_limit_field($limit, $pos) /* {{{ */
{
	$text_name   = "limit_$pos";
	$submit_name = "refresh_$pos";
	echo '<table class="pme-navigation">',"\n";
	echo '<tr class="pme-navigation"><td class="pme-buttons">',"\n";
	echo '<input class="pme-refresh" type="submit" name="',$submit_name,'" value="Refresh">';
	echo '</td>',"\n",'<td class="pme-buttons2">',"\n";
	echo 'Rows count (0 = unlimited):';
	echo ' <input type="text" size="2" name="',$text_name,'" value="',$limit,'">&nbsp;';
	echo '</td></tr></table>';
} /* }}} */

/*
 * Main stuff
 */

if (ezin_admin_check_full_list_privileges($ezin_user['role_sessions'])) {
	ezin_check_db_handle();
	ezin_admin_sessions_main(0);
	ezin_close_db_connection();
} elseif (ezin_admin_check_restricted_list_privileges($ezin_user['role_sessions'])) {
	ezin_check_db_handle();
	ezin_admin_sessions_main(1);
	ezin_close_db_connection();
} else {
	require 'inc-html/permdenied.html';
}

/* Modeline for ViM {{{
 * vim: set ts=4:
 * vim600: fdm=marker fdl=0 fdc=0:
 * }}} */

?>
