-- MySQL dump 10.13  Distrib 5.1.61, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: metafox
-- ------------------------------------------------------
-- Server version	5.1.61-0+squeeze1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `ezin_articles`
--

DROP TABLE IF EXISTS `ezin_articles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_articles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `author_id` int(11) DEFAULT NULL,
  `section_id` int(11) DEFAULT NULL,
  `bind_lang` int(11) DEFAULT NULL,
  `bind_theme` int(11) DEFAULT NULL,
  `accesses_count` int(11) DEFAULT NULL,
  `sessions_count` int(11) DEFAULT NULL,
  `message_count` int(11) DEFAULT NULL,
  `status` enum('showed','partly_showed','hidden','disabled') DEFAULT NULL,
  `display` set('enabled','in_normal','in_global') DEFAULT NULL,
  `datetime` datetime DEFAULT '0000-00-00 00:00:00',
  `ghometext_wordcount` int(11) DEFAULT NULL,
  `hometext_wordcount` int(11) DEFAULT NULL,
  `bodytext_wordcount` int(11) DEFAULT NULL,
  `ghometext_flags` varchar(10) DEFAULT NULL,
  `hometext_flags` varchar(10) DEFAULT NULL,
  `bodytext_flags` varchar(10) DEFAULT NULL,
  `access_key` varchar(64) DEFAULT NULL,
  `template_key` varchar(64) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `atitle` varchar(255) DEFAULT NULL,
  `ghometext` text,
  `hometext` text,
  `bodytext` longtext,
  `calendar_flag` date DEFAULT NULL,
  `featured_articles_flag` datetime DEFAULT NULL,
  `created_id` int(10) DEFAULT NULL,
  `created_by` varchar(60) DEFAULT NULL,
  `created_dt` datetime DEFAULT NULL,
  `changed_id` int(10) DEFAULT NULL,
  `changed_by` varchar(60) DEFAULT NULL,
  `changed_dt` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_articles_author_id` (`author_id`),
  KEY `ezin_articles_section_id` (`section_id`),
  KEY `ezin_articles_bind_lang` (`bind_lang`),
  KEY `ezin_articles_bind_theme` (`bind_theme`),
  KEY `ezin_articles_status` (`status`),
  KEY `ezin_articles_datetime` (`datetime`),
  KEY `ezin_articles_access_key` (`access_key`),
  KEY `ezin_articles_template_key` (`template_key`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_authors`
--

DROP TABLE IF EXISTS `ezin_authors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_authors` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `type` enum('internal','external') DEFAULT NULL,
  `bind` int(11) DEFAULT NULL,
  `accesses_count` int(11) DEFAULT NULL,
  `sessions_count` int(11) DEFAULT NULL,
  `access_key` varchar(64) DEFAULT NULL,
  `template_key` varchar(64) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `position` varchar(150) DEFAULT NULL,
  `location` varchar(150) DEFAULT NULL,
  `email` varchar(150) DEFAULT NULL,
  `homepage` varchar(150) DEFAULT NULL,
  `description` text,
  `description_flags` varchar(10) DEFAULT NULL,
  `description_wordcount` int(11) DEFAULT NULL,
  `created_id` int(10) DEFAULT NULL,
  `created_by` varchar(60) DEFAULT NULL,
  `created_dt` datetime DEFAULT NULL,
  `changed_id` int(10) DEFAULT NULL,
  `changed_by` varchar(60) DEFAULT NULL,
  `changed_dt` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_authors_type` (`type`),
  KEY `ezin_authors_access_key` (`access_key`),
  KEY `ezin_authors_template_key` (`template_key`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_boxes`
--

CREATE TABLE IF NOT EXISTS `ezin_boxes` (
  `id` int(11) NOT NULL auto_increment,
  `theme` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `template_key` varchar(64) default NULL,
  `bodytext` text,
  `created_id` int(10) default NULL,
  `created_by` varchar(60) default NULL,
  `created_dt` datetime default NULL,
  `changed_id` int(10) default NULL,
  `changed_by` varchar(60) default NULL,
  `changed_dt` datetime default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `theme` (`theme`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Table structure for table `ezin_cache`
--

DROP TABLE IF EXISTS `ezin_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_cache` (
  `id` varchar(64) NOT NULL DEFAULT '',
  `timestamp` int(11) DEFAULT NULL,
  `var_var` int(1) DEFAULT NULL,
  `content` longtext,
  PRIMARY KEY (`id`),
  KEY `ezin_cache_timestamp` (`timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_config`
--

DROP TABLE IF EXISTS `ezin_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_config` (
  `a_key` varchar(32) NOT NULL DEFAULT '',
  `type` int(2) DEFAULT NULL,
  `value` text,
  PRIMARY KEY (`a_key`),
  KEY `ezin_config_type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_config_info`
--

DROP TABLE IF EXISTS `ezin_config_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_config_info` (
  `a_key` char(32) NOT NULL,
  `ord` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  PRIMARY KEY (`a_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_counts_temp`
--

DROP TABLE IF EXISTS `ezin_counts_temp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_counts_temp` (
  `type_id` char(8) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `timestamp` int(11) DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  KEY `ezin_counts_temp_type_id` (`type_id`),
  KEY `ezin_counts_temp_timestamp` (`timestamp`),
  KEY `ezin_counts_temp_ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_editorials`
--

DROP TABLE IF EXISTS `ezin_editorials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_editorials` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `section_id` int(10) DEFAULT NULL,
  `article_id` int(11) DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `text_wordcount` int(11) DEFAULT NULL,
  `text_flags` varchar(10) DEFAULT NULL,
  `text` text,
  `created_id` int(10) DEFAULT NULL,
  `created_by` varchar(60) DEFAULT NULL,
  `created_dt` datetime DEFAULT NULL,
  `changed_id` int(10) DEFAULT NULL,
  `changed_by` varchar(60) DEFAULT NULL,
  `changed_dt` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_editorials_section_id` (`section_id`),
  KEY `ezin_editorials_datetime` (`datetime`),
  KEY `ezin_editorials_article_id` (`article_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_feedback_data`
--

DROP TABLE IF EXISTS `ezin_feedback_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_feedback_data` (
  `feedback_id` int(11) NOT NULL DEFAULT '0',
  `field` varchar(255) DEFAULT NULL,
  `data` text,
  KEY `ezin_feedback_data_feedback_id` (`feedback_id`),
  KEY `ezin_feedback_data_field` (`field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_feedbacks`
--

DROP TABLE IF EXISTS `ezin_feedbacks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_feedbacks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `section_id` int(11) NOT NULL DEFAULT '0',
  `datetime` datetime DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_feedbacks_section_id` (`section_id`),
  KEY `ezin_feedbacks_datetime` (`datetime`),
  KEY `ezin_feedbacks_ip` (`ip`),
  KEY `ezin_feedbacks_user_agent` (`user_agent`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_messages`
--

DROP TABLE IF EXISTS `ezin_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_messages` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `parent` int(10) DEFAULT NULL,
  `article_id` int(10) DEFAULT NULL,
  `author` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `homepage` varchar(255) DEFAULT NULL,
  `subject` varchar(255) DEFAULT NULL,
  `message` text,
  `datetime` datetime DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_messages_parent` (`parent`),
  KEY `ezin_messages_article_id` (`article_id`),
  KEY `ezin_messages_datetime` (`datetime`),
  KEY `ezin_messages_ip` (`ip`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_nl_emails`
--

DROP TABLE IF EXISTS `ezin_nl_emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_nl_emails` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `section_id` int(11) NOT NULL DEFAULT '0',
  `email` varchar(255) NOT NULL DEFAULT '',
  `dt_added` datetime DEFAULT NULL,
  `dt_removed` datetime DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ezin_nl_emails_email` (`email`),
  KEY `ezin_nl_emails_section_id` (`section_id`),
  KEY `ezin_nl_emails_dt_added` (`dt_added`),
  KEY `ezin_nl_emails_dt_removed` (`dt_removed`),
  KEY `ezin_nl_emails_ip` (`ip`),
  KEY `ezin_nl_emails_user_agent` (`user_agent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_nl_message_emails`
--

DROP TABLE IF EXISTS `ezin_nl_message_emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_nl_message_emails` (
  `email_id` int(11) NOT NULL DEFAULT '0',
  `message_id` int(11) NOT NULL DEFAULT '0',
  `dt_posted` datetime DEFAULT NULL,
  PRIMARY KEY (`email_id`,`message_id`),
  KEY `ezin_nl_message_emails_dt_posted` (`dt_posted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_nl_messages`
--

DROP TABLE IF EXISTS `ezin_nl_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_nl_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sender` varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `dt_created` datetime DEFAULT NULL,
  `body` text,
  PRIMARY KEY (`id`),
  KEY `ezin_nl_messages_dt_created` (`dt_created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_poll_answers`
--

DROP TABLE IF EXISTS `ezin_poll_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_poll_answers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `poll_id` int(11) NOT NULL DEFAULT '0',
  `answer` varchar(255) NOT NULL DEFAULT '',
  `votes` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ezin_poll_answers_poll_id` (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_polls`
--

DROP TABLE IF EXISTS `ezin_polls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_polls` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `section_id` int(11) NOT NULL DEFAULT '0',
  `dt_valid_from` datetime DEFAULT NULL,
  `dt_valid_to` datetime DEFAULT NULL,
  `votes` int(11) DEFAULT NULL,
  `answers` int(11) DEFAULT NULL,
  `question` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `created_id` int(10) DEFAULT NULL,
  `created_by` varchar(60) DEFAULT NULL,
  `created_dt` datetime DEFAULT NULL,
  `changed_id` int(10) DEFAULT NULL,
  `changed_by` varchar(60) DEFAULT NULL,
  `changed_dt` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_polls_section_id` (`section_id`),
  KEY `ezin_polls_dt_valid_from` (`dt_valid_from`),
  KEY `ezin_polls_dt_valid_to` (`dt_valid_to`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_redirects`
--

CREATE TABLE IF NOT EXISTS `ezin_redirects` (
  `old_key` varchar(64) NOT NULL,
  `type` enum('article','section','author','print') NOT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY  (`old_key`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_roles`
--

DROP TABLE IF EXISTS `ezin_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_roles` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) DEFAULT NULL,
  `login` varchar(10) DEFAULT NULL,
  `articles` varchar(10) DEFAULT NULL,
  `authors` varchar(10) DEFAULT NULL,
  `sections` varchar(10) DEFAULT NULL,
  `editorials` varchar(10) DEFAULT NULL,
  `messages` varchar(10) DEFAULT NULL,
  `polls` varchar(10) DEFAULT NULL,
  `feedbacks` varchar(10) DEFAULT NULL,
  `newsletters` varchar(10) DEFAULT NULL,
  `sessions` varchar(10) DEFAULT NULL,
  `config` varchar(10) DEFAULT NULL,
  `users` varchar(10) DEFAULT NULL,
  `roles` varchar(10) DEFAULT NULL,
  `file_management` varchar(15) DEFAULT NULL,
  `created_id` int(10) DEFAULT NULL,
  `created_by` varchar(60) DEFAULT NULL,
  `created_dt` datetime DEFAULT NULL,
  `changed_id` int(10) DEFAULT NULL,
  `changed_by` varchar(60) DEFAULT NULL,
  `changed_dt` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_roles_name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_sections`
--

DROP TABLE IF EXISTS `ezin_sections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_sections` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `author_id` int(10) DEFAULT NULL,
  `type` enum('global','normal','hidden','hidden2','full_hidden','disabled') DEFAULT NULL,
  `type2` set('global') DEFAULT NULL,
  `display` set('in_list','articles_enabled','articles_in_normal','articles_in_global') DEFAULT NULL,
  `select` set('articles','pages','editorials') DEFAULT NULL,
  `lang` varchar(2) DEFAULT NULL,
  `bind_lang` int(11) DEFAULT NULL,
  `ord` int(10) DEFAULT '100',
  `a_limit` int(10) DEFAULT NULL,
  `accesses_count` int(11) DEFAULT NULL,
  `sessions_count` int(11) DEFAULT NULL,
  `raw_accesses_count` int(11) DEFAULT NULL,
  `raw_sessions_count` int(11) DEFAULT NULL,
  `access_key` varchar(64) DEFAULT NULL,
  `template_key` varchar(64) DEFAULT NULL,
  `name` varchar(60) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `created_id` int(10) DEFAULT NULL,
  `created_by` varchar(60) DEFAULT NULL,
  `created_dt` datetime DEFAULT NULL,
  `changed_id` int(10) DEFAULT NULL,
  `changed_by` varchar(60) DEFAULT NULL,
  `changed_dt` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_sections_author_id` (`author_id`),
  KEY `ezin_sections_type` (`type`),
  KEY `ezin_sections_lang` (`lang`),
  KEY `ezin_sections_bind_lang` (`bind_lang`),
  KEY `ezin_sections_ord` (`ord`),
  KEY `ezin_sections_a_limit` (`a_limit`),
  KEY `ezin_sections_access_key` (`access_key`),
  KEY `ezin_sections_template_key` (`template_key`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_sessions`
--

DROP TABLE IF EXISTS `ezin_sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_sessions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `session_id` int(11) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `login` datetime DEFAULT NULL,
  `logout` datetime DEFAULT NULL,
  `status` varchar(16) DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ezin_sessions_session_id` (`session_id`),
  KEY `ezin_sessions_username` (`username`),
  KEY `ezin_sessions_password` (`password`),
  KEY `ezin_sessions_login` (`login`),
  KEY `ezin_sessions_logout` (`logout`),
  KEY `ezin_sessions_status` (`status`),
  KEY `ezin_sessions_ip` (`ip`),
  KEY `ezin_sessions_user_agent` (`user_agent`)
) ENGINE=MyISAM AUTO_INCREMENT=85 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ezin_sources`
--

CREATE TABLE IF NOT EXISTS `ezin_sources` (
  `id` int(11) NOT NULL auto_increment,
  `source_type` enum('rss') NOT NULL,
  `section_id` int(11) NOT NULL,
  `url` varchar(255) NOT NULL,
  `normal_refresh_time` int(11) NOT NULL,
  `fail_refresh_time` int(11) NOT NULL,
  `connection_timeout` int(11) NOT NULL,
  `created_id` int(10) default NULL,
  `created_by` varchar(60) default NULL,
  `created_dt` datetime default NULL,
  `changed_id` int(10) default NULL,
  `changed_by` varchar(60) default NULL,
  `changed_dt` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Table structure for table `ezin_users`
--

DROP TABLE IF EXISTS `ezin_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ezin_users` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `username` varchar(60) DEFAULT NULL,
  `password` varchar(60) DEFAULT NULL,
  `author_id` int(11) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `created_id` int(10) DEFAULT NULL,
  `created_by` varchar(60) DEFAULT NULL,
  `created_dt` datetime DEFAULT NULL,
  `changed_id` int(10) DEFAULT NULL,
  `changed_by` varchar(60) DEFAULT NULL,
  `changed_dt` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ezin_users_username` (`username`),
  KEY `ezin_users_author_id` (`author_id`),
  KEY `ezin_users_role_id` (`role_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-04-29 18:19:34
-- MySQL dump 10.13  Distrib 5.1.61, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: metafox
-- ------------------------------------------------------
-- Server version	5.1.61-0+squeeze1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Dumping data for table `ezin_roles`
--

LOCK TABLES `ezin_roles` WRITE;
/*!40000 ALTER TABLE `ezin_roles` DISABLE KEYS */;
INSERT INTO `ezin_roles` VALUES (1,'0 - superuser','1','LFACPDV','LFACPDV','LFACPDV','LFACPDV','LFACPDV','LFACPDV','LC','LFACPDV','l','LC','LFACPDV','LFACPDV','LRDCErdcuves',NULL,NULL,NULL,NULL,NULL,NULL),(2,'1 - admin','1','LFACV','LFACV','LFACV','LFACV','LCV','LCV',NULL,'LCV','',NULL,'l','LV','LRCErvu',NULL,NULL,NULL,NULL,NULL,NULL),(3,'5 - editor','1','LFACV','LFV','LV','LV','LV','LV',NULL,'LV','',NULL,'l','LV','LRCErvu',NULL,NULL,NULL,NULL,NULL,NULL),(4,'6 - author','1','LFCAVP','LFcX','','','','','','','','','','','',NULL,NULL,NULL,NULL,NULL,NULL),(5,'9 - enemy','0','','','','','','',NULL,'','','','','','',NULL,NULL,NULL,NULL,NULL,NULL),(6,'8 - nobody','1','','','','','','',NULL,'','',NULL,'','','',NULL,NULL,NULL,NULL,NULL,NULL),(7,'3 - advanced editor','1','LFACV','LFACV','LV','LV','LV','LV',NULL,'LV','',NULL,'l','LV','LRCErvu',NULL,NULL,NULL,NULL,NULL,NULL),(8,'7 - visitor','1','LFV','LFV','LFV','LFV','LFV','LFV',NULL,'LFV','l','L','lFV','LFV','LEv',NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `ezin_roles` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-04-29 18:19:34
--
-- Default users
--
INSERT INTO ezin_users (id,username,password,author_id,role_id) VALUES
	(1,'admin','896ae34257056a6edb7643e3db85bb21',0,1);
INSERT INTO ezin_users (id,username,password,author_id,role_id) VALUES
	(2,'user', '896ae34257056a6edb7643e3db85bb21',0,3);

--
-- Default authors
--
INSERT INTO ezin_authors (id,type,name,email,homepage,description) VALUES
	(1,'internal','Admin','platon@platon.sk','http://platon.sk/','This is Admin.');
INSERT INTO ezin_authors (id,type,name,email,homepage,description) VALUES
	(2,'internal','Ondrej Jombk','nepto@platon.sk','http://nepto.sk/','This is Nepto. ;-)');

--
-- Default section
--
INSERT INTO ezin_sections
	(id, author_id, ord, a_limit,
	type2, display, `select`,
	accesses_count, sessions_count, raw_accesses_count, raw_sessions_count,
	access_key, template_key, name, link)
VALUES
	(1,0,100,10,
	'global','in_list,articles_enabled','articles',
	0,0,0,0,
	'index','','Index','');
--
-- Default article
--
INSERT INTO ezin_articles
	(id, author_id, section_id,
	accesses_count, sessions_count, message_count,
	status, display, datetime, access_key, template_key,
	title, atitle, hometext, bodytext)
VALUES (1,2,1,
	0,0,0,
	'showed','enabled','2002-09-13 16:23:00','','',
	'Default article title','Default article annotation title',
	'Default article home text (annotation)',
	'Default article body text');
--
-- Default config
--
INSERT INTO ezin_config (a_key,value) VALUES ('name','Metafox Default');
INSERT INTO ezin_config (a_key,value) VALUES ('abbreviation','dflt');
INSERT INTO ezin_config (a_key,value) VALUES ('theme','default');
INSERT INTO ezin_config (a_key,value) VALUES ('url',NULL);
INSERT INTO ezin_config (a_key,value) VALUES ('redirect_index','S1');
INSERT INTO ezin_config (a_key,value) VALUES ('redirect_other',NULL);
INSERT INTO ezin_config (a_key,value) VALUES ('admin_session_timeout',1800);

