DROP TABLE IF EXISTS ezin_nl_emails;
CREATE TABLE ezin_nl_emails (
		id int(11) NOT NULL auto_increment,
		section_id int(11) NOT NULL default '0',
		email varchar(255) NOT NULL,
		dt_added datetime default NULL,
		dt_removed datetime default NULL,
		ip varchar(255) default NULL,
		user_agent varchar(255) default NULL,
		PRIMARY KEY  (id),
		KEY ezin_nl_emails_section_id (section_id),
		UNIQUE KEY ezin_nl_emails_email (email),
		KEY ezin_nl_emails_dt_added (dt_added),
		KEY ezin_nl_emails_dt_removed (dt_removed),
		KEY ezin_nl_emails_ip (ip),
		KEY ezin_nl_emails_user_agent (user_agent)
);

DROP TABLE IF EXISTS ezin_nl_messages;
CREATE TABLE ezin_nl_messages (
		id int(11) NOT NULL auto_increment,
		sender varchar(255) NOT NULL,
		subject varchar(255) NOT NULL,
		dt_created datetime default NULL,
		body text,
		PRIMARY KEY  (id),
		KEY ezin_nl_messages_dt_created (dt_created)
);

DROP TABLE IF EXISTS ezin_nl_message_emails;
CREATE TABLE ezin_nl_message_emails (
		email_id int(11) NOT NULL,
		message_id int(11) NOT NULL,
		dt_posted datetime default NULL,
		KEY ezin_nl_message_emails_dt_posted (dt_posted),
		PRIMARY KEY (email_id, message_id)
);

