--
-- Ezin-sources table
--
CREATE TABLE `ezin_sources` (
`id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`source_type` ENUM( "rss" ) NOT NULL ,
`section_id` INT NOT NULL ,
`url` VARCHAR( 255 ) NOT NULL ,
`normal_refresh_time` INT NOT NULL,
`fail_refresh_time` INT NOT NULL,
`connection_timeout` INT NOT NULL,
`created_id` int(10) default NULL,
`created_by` varchar(60) default NULL,
`created_dt` datetime default NULL,
`changed_id` int(10) default NULL,
`changed_by` varchar(60) default NULL,
`changed_dt` datetime default NULL
)

--
-- Ezin-boxes
--
CREATE TABLE IF NOT EXISTS `ezin_boxes` (
  `id` int(11) NOT NULL auto_increment,
  `theme` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `template_key` varchar(64) default NULL,
  `bodytext` text,
  `created_id` int(10) default NULL,
  `created_by` varchar(60) default NULL,
  `created_dt` datetime default NULL,
  `changed_id` int(10) default NULL,
  `changed_by` varchar(60) default NULL,
  `changed_dt` datetime default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `theme` (`theme`,`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Ezin-redirects
--

CREATE TABLE IF NOT EXISTS `ezin_redirects` (
  `old_key` varchar(64) NOT NULL,
  `type` enum('article','section','author','print') NOT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY  (`old_key`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;